libpqxx 3.1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes | List of all members
pqxx::prepare::internal::prepared_def Struct Reference

Internal representation of a prepared statement definition. More...

`#include <prepared_statement.hxx>`

## Classes

struct | param
| Parameter definition. More...

## Public Member Functions

| prepared_def ()
| prepared_def (const std::string &)
void | addparam (const std::string &sqltype, param_treatment)

## Public Attributes

std::string | definition
| Text of prepared query.
std::vector< param > | parameters
| Parameter list.
bool | registered
| Has this prepared statement been prepared in the current session?
bool | complete
| Is this definition complete?
bool | varargs
| Does this statement accept variable arguments, as declared with etc()?
param_treatment | varargs_treatment
| How should parameters after the last declared one be treated?

## Detailed Description

Internal representation of a prepared statement definition.

## Constructor & Destructor Documentation

pqxx::prepare::internal::prepared_def::prepared_def | ( |  | ) |

pqxx::prepare::internal::prepared_def::prepared_def | ( | const std::string & | def | ) |

explicit

## Member Function Documentation

void pqxx::prepare::internal::prepared_def::addparam | ( | const std::string & | sqltype,
|  | param_treatment | treatment
| ) |  |

## Member Data Documentation

bool pqxx::prepare::internal::prepared_def::complete

Is this definition complete?

std::string pqxx::prepare::internal::prepared_def::definition

Text of prepared query.

std::vector<param> pqxx::prepare::internal::prepared_def::parameters

Parameter list.

bool pqxx::prepare::internal::prepared_def::registered

Has this prepared statement been prepared in the current session?

bool pqxx::prepare::internal::prepared_def::varargs

Does this statement accept variable arguments, as declared with etc()?

param_treatment pqxx::prepare::internal::prepared_def::varargs_treatment

How should parameters after the last declared one be treated?

The documentation for this struct was generated from the following files:

- prepared_statement.hxx
- prepared_statement.cxx